Package org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.dumpprocessors

## Class ToStringDumpHelper

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.dumpprocessors.ToStringDumpHelper

    public class ToStringDumpHelper
    extends Object

Helper for creating string from `PageLockDump`.

### Field Summary

Fields
`static DateTimeFormatter` `DATE_FMT` Date format.

### Constructor Summary

Constructors
`ToStringDumpHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `toStringDump​(PageLockDump pageLockDump)`
`static String` `toStringDump​(SharedPageLockTrackerDump pageLockDump)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DATE_FMT

    public static final DateTimeFormatter DATE_FMT

Date format.

### Constructor Detail

#### ToStringDumpHelper

    public ToStringDumpHelper()

### Method Detail

#### toStringDump

    public static String toStringDump​(PageLockDump pageLockDump)

Parameters:
  `pageLockDump` - Dump.
Returns:
  String representation of dump.

#### toStringDump

    public static String toStringDump​(SharedPageLockTrackerDump pageLockDump)

Parameters:
  `pageLockDump` - Dump.
Returns:
  String representation of dump.